Merge remote-tracking branch 'openstreetmap/pull/1154'
[rails.git] / Gemfile.lock
index fe70cbfc546bad08514d6b8ef18d33503dadd021..296131dc1b201fb31868fb05718b4322fc7ab061 100644 (file)
 GEM
-  remote: http://rubygems.org/
+  remote: https://rubygems.org/
   specs:
     SystemTimer (1.2.3)
-    actionmailer (4.0.2)
-      actionpack (= 4.0.2)
-      mail (~> 2.5.4)
-    actionpack (4.0.2)
-      activesupport (= 4.0.2)
-      builder (~> 3.1.0)
-      erubis (~> 2.7.0)
-      rack (~> 1.5.2)
+    actionmailer (4.2.5.1)
+      actionpack (= 4.2.5.1)
+      actionview (= 4.2.5.1)
+      activejob (= 4.2.5.1)
+      mail (~> 2.5, >= 2.5.4)
+      rails-dom-testing (~> 1.0, >= 1.0.5)
+    actionpack (4.2.5.1)
+      actionview (= 4.2.5.1)
+      activesupport (= 4.2.5.1)
+      rack (~> 1.6)
       rack-test (~> 0.6.2)
+      rails-dom-testing (~> 1.0, >= 1.0.5)
+      rails-html-sanitizer (~> 1.0, >= 1.0.2)
     actionpack-page_caching (1.0.2)
       actionpack (>= 4.0.0, < 5)
-    activemodel (4.0.2)
-      activesupport (= 4.0.2)
-      builder (~> 3.1.0)
-    activerecord (4.0.2)
-      activemodel (= 4.0.2)
-      activerecord-deprecated_finders (~> 1.0.2)
-      activesupport (= 4.0.2)
-      arel (~> 4.0.0)
-    activerecord-deprecated_finders (1.0.3)
-    activesupport (4.0.2)
-      i18n (~> 0.6, >= 0.6.4)
-      minitest (~> 4.2)
-      multi_json (~> 1.3)
-      thread_safe (~> 0.1)
-      tzinfo (~> 0.3.37)
-    arel (4.0.1)
-    atomic (1.1.14)
+    actionview (4.2.5.1)
+      activesupport (= 4.2.5.1)
+      builder (~> 3.1)
+      erubis (~> 2.7.0)
+      rails-dom-testing (~> 1.0, >= 1.0.5)
+      rails-html-sanitizer (~> 1.0, >= 1.0.2)
+    activejob (4.2.5.1)
+      activesupport (= 4.2.5.1)
+      globalid (>= 0.3.0)
+    activemodel (4.2.5.1)
+      activesupport (= 4.2.5.1)
+      builder (~> 3.1)
+    activerecord (4.2.5.1)
+      activemodel (= 4.2.5.1)
+      activesupport (= 4.2.5.1)
+      arel (~> 6.0)
+    activesupport (4.2.5.1)
+      i18n (~> 0.7)
+      json (~> 1.7, >= 1.7.7)
+      minitest (~> 5.1)
+      thread_safe (~> 0.3, >= 0.3.4)
+      tzinfo (~> 1.1)
+    addressable (2.4.0)
+    arel (6.0.3)
+    ast (2.2.0)
+    autoprefixer-rails (6.3.2)
+      execjs
+      json
     bigdecimal (1.1.0)
-    builder (3.1.4)
+    builder (3.2.2)
+    capybara (2.6.2)
+      addressable
+      mime-types (>= 1.16)
+      nokogiri (>= 1.3.3)
+      rack (>= 1.0.0)
+      rack-test (>= 0.5.4)
+      xpath (~> 2.0)
     climate_control (0.0.3)
       activesupport (>= 3.0)
-    cocaine (0.5.3)
+    cliver (0.3.2)
+    cocaine (0.5.8)
       climate_control (>= 0.0.3, < 1.0)
-    coffee-rails (4.0.1)
+    coffee-rails (4.1.1)
       coffee-script (>= 2.2.0)
-      railties (>= 4.0.0, < 5.0)
-    coffee-script (2.2.0)
+      railties (>= 4.0.0, < 5.1.x)
+    coffee-script (2.4.1)
       coffee-script-source
       execjs
-    coffee-script-source (1.6.3)
-    composite_primary_keys (6.0.1)
-      activerecord (>= 4.0.0)
-    dalli (2.6.4)
+    coffee-script-source (1.10.0)
+    colorize (0.7.7)
+    composite_primary_keys (8.1.2)
+      activerecord (~> 4.2.0)
+    concurrent-ruby (1.0.0)
+    coveralls (0.8.10)
+      json (~> 1.8)
+      rest-client (>= 1.6.8, < 2)
+      simplecov (~> 0.11.0)
+      term-ansicolor (~> 1.3)
+      thor (~> 0.19.1)
+      tins (~> 1.6.0)
+    crass (1.0.2)
+    dalli (2.7.5)
     deadlock_retry (1.2.0)
+    docile (1.1.5)
+    domain_name (0.5.20160128)
+      unf (>= 0.0.5, < 1.0.0)
     dynamic_form (1.1.4)
     erubis (2.7.0)
-    execjs (2.0.2)
-    faraday (0.8.8)
-      multipart-post (~> 1.2.0)
-    hike (1.2.3)
-    htmlentities (4.3.1)
-    http_accept_language (2.0.0)
-    httpauth (0.2.0)
-    httpclient (2.3.4.1)
-    i18n (0.6.9)
-    iconv (0.1)
-    jquery-rails (3.0.4)
-      railties (>= 3.0, < 5.0)
+    execjs (2.6.0)
+    exifr (1.2.4)
+    faraday (0.9.2)
+      multipart-post (>= 1.2, < 3)
+    fspath (2.1.1)
+    globalid (0.3.6)
+      activesupport (>= 4.1.0)
+    hashie (3.4.3)
+    htmlentities (4.3.4)
+    http-cookie (1.0.2)
+      domain_name (~> 0.5)
+    http_accept_language (2.0.5)
+    httpclient (2.7.1)
+    i18n (0.7.0)
+    i18n-js (3.0.0.rc12)
+      i18n (~> 0.6, >= 0.6.6)
+    image_optim (0.22.0)
+      exifr (~> 1.2, >= 1.2.2)
+      fspath (~> 2.1)
+      image_size (~> 1.3)
+      in_threads (~> 1.3)
+      progress (~> 3.0, >= 3.0.1)
+    image_size (1.4.1)
+    in_threads (1.3.1)
+    jquery-rails (4.1.0)
+      rails-dom-testing (~> 1.0)
+      railties (>= 4.2.0)
       thor (>= 0.14, < 2.0)
-    json (1.8.1)
+    jshint (1.4.0)
+      execjs (>= 1.4.0)
+      multi_json (~> 1.0)
+      therubyracer (~> 0.12.1)
+    json (1.8.3)
     jsonify (0.3.1)
       multi_json (~> 1.0)
     jsonify-rails (0.3.2)
       actionpack
       jsonify (< 0.4.0)
-    jwt (0.1.8)
-      multi_json (>= 1.5)
-    kgio (2.8.1)
-    libxml-ruby (2.7.0)
-    mail (2.5.4)
-      mime-types (~> 1.16)
-      treetop (~> 1.4.8)
-    mime-types (1.25.1)
-    mini_portile (0.5.2)
-    minitest (4.7.5)
-    multi_json (1.8.2)
+    jwt (1.5.1)
+    kgio (2.10.0)
+    konacha (4.0.0)
+      actionpack (>= 4.1, < 5)
+      capybara
+      colorize
+      railties (>= 4.1, < 5)
+      sprockets (>= 2, < 4)
+      sprockets-rails (>= 2, < 4)
+      tilt
+    libv8 (3.16.14.13)
+    libxml-ruby (2.8.0)
+    logstash-event (1.2.02)
+    logstasher (0.8.6)
+      activerecord (>= 3.0)
+      activesupport (>= 3.0)
+      logstash-event (~> 1.2.0)
+      request_store
+    loofah (2.0.3)
+      nokogiri (>= 1.5.9)
+    mail (2.6.3)
+      mime-types (>= 1.16, < 3)
+    mime-types (2.99)
+    mimemagic (0.3.0)
+    mini_portile2 (2.0.0)
+    minitest (5.8.4)
+    multi_json (1.11.2)
     multi_xml (0.5.5)
-    multipart-post (1.2.0)
-    nokogiri (1.6.0)
-      mini_portile (~> 0.5.0)
+    multipart-post (2.0.0)
+    netrc (0.11.0)
+    nokogiri (1.6.7.2)
+      mini_portile2 (~> 2.0.0.rc2)
+    nokogumbo (1.4.7)
+      nokogiri
     oauth (0.4.7)
     oauth-plugin (0.5.1)
       multi_json
       oauth (~> 0.4.4)
       oauth2 (>= 0.5.0)
       rack
-    oauth2 (0.9.2)
-      faraday (~> 0.8)
-      httpauth (~> 0.2)
-      jwt (~> 0.1.4)
-      multi_json (~> 1.0)
+    oauth2 (1.1.0)
+      faraday (>= 0.8, < 0.10)
+      jwt (~> 1.0, < 1.5.2)
+      multi_json (~> 1.3)
       multi_xml (~> 0.5)
-      rack (~> 1.2)
-    open_id_authentication (1.2.0)
-      rack-openid (~> 1.3)
-    openstreetmap-i18n-js (3.0.0.rc5.2)
-      i18n
-    paperclip (3.5.2)
-      activemodel (>= 3.0.0)
-      activesupport (>= 3.0.0)
-      cocaine (~> 0.5.3)
+      rack (>= 1.2, < 3)
+    omniauth (1.3.1)
+      hashie (>= 1.2, < 4)
+      rack (>= 1.0, < 3)
+    omniauth-facebook (3.0.0)
+      omniauth-oauth2 (~> 1.2)
+    omniauth-google-oauth2 (0.3.1)
+      jwt (~> 1.0)
+      multi_json (~> 1.3)
+      omniauth (>= 1.1.1)
+      omniauth-oauth2 (>= 1.3.1)
+    omniauth-oauth2 (1.4.0)
+      oauth2 (~> 1.0)
+      omniauth (~> 1.2)
+    omniauth-openid (1.0.1)
+      omniauth (~> 1.0)
+      rack-openid (~> 1.3.1)
+    omniauth-windowslive (0.0.9.1)
+      multi_json (>= 1.0.3)
+      omniauth-oauth2 (~> 1.0)
+    paperclip (4.3.5)
+      activemodel (>= 3.2.0)
+      activesupport (>= 3.2.0)
+      cocaine (~> 0.5.5)
       mime-types
-    pg (0.17.0)
-    polyglot (0.3.3)
-    psych (2.0.2)
-    r2 (0.2.2)
-    rack (1.5.2)
-    rack-cors (0.2.9)
-    rack-openid (1.4.1)
+      mimemagic (= 0.3.0)
+    parser (2.3.0.4)
+      ast (~> 2.2)
+    pg (0.18.4)
+    poltergeist (1.9.0)
+      capybara (~> 2.1)
+      cliver (~> 0.3.1)
+      multi_json (~> 1.0)
+      websocket-driver (>= 0.2.0)
+    powerpack (0.1.1)
+    progress (3.1.1)
+    psych (2.0.17)
+    r2 (0.2.6)
+    rack (1.6.4)
+    rack-cors (0.4.0)
+    rack-openid (1.3.1)
       rack (>= 1.1.0)
       ruby-openid (>= 2.1.8)
-    rack-test (0.6.2)
+    rack-test (0.6.3)
       rack (>= 1.0)
-    rails (4.0.2)
-      actionmailer (= 4.0.2)
-      actionpack (= 4.0.2)
-      activerecord (= 4.0.2)
-      activesupport (= 4.0.2)
+    rack-uri_sanitizer (0.0.2)
+    rails (4.2.5.1)
+      actionmailer (= 4.2.5.1)
+      actionpack (= 4.2.5.1)
+      actionview (= 4.2.5.1)
+      activejob (= 4.2.5.1)
+      activemodel (= 4.2.5.1)
+      activerecord (= 4.2.5.1)
+      activesupport (= 4.2.5.1)
       bundler (>= 1.3.0, < 2.0)
-      railties (= 4.0.2)
-      sprockets-rails (~> 2.0.0)
-    rails-i18n (4.0.0)
-      i18n (~> 0.6)
-      rails (~> 4.0.0)
-    railties (4.0.2)
-      actionpack (= 4.0.2)
-      activesupport (= 4.0.2)
+      railties (= 4.2.5.1)
+      sprockets-rails
+    rails-deprecated_sanitizer (1.0.3)
+      activesupport (>= 4.2.0.alpha)
+    rails-dom-testing (1.0.7)
+      activesupport (>= 4.2.0.beta, < 5.0)
+      nokogiri (~> 1.6.0)
+      rails-deprecated_sanitizer (>= 1.0.1)
+    rails-html-sanitizer (1.0.3)
+      loofah (~> 2.0)
+    rails-i18n (4.0.8)
+      i18n (~> 0.7)
+      railties (~> 4.0)
+    railties (4.2.5.1)
+      actionpack (= 4.2.5.1)
+      activesupport (= 4.2.5.1)
       rake (>= 0.8.7)
       thor (>= 0.18.1, < 2.0)
-    rake (10.1.0)
-    redcarpet (3.0.0)
+    rainbow (2.1.0)
+    rake (10.5.0)
+    redcarpet (3.3.4)
+    ref (2.0.0)
+    request_store (1.3.0)
+    rest-client (1.8.0)
+      http-cookie (>= 1.0.2, < 2.0)
+      mime-types (>= 1.16, < 3.0)
+      netrc (~> 0.7)
     rinku (1.7.3)
-    ruby-openid (2.3.0)
-    sanitize (2.0.6)
+    rubocop (0.37.1)
+      parser (>= 2.3.0.4, < 3.0)
+      powerpack (~> 0.1)
+      rainbow (>= 1.99.1, < 3.0)
+      ruby-progressbar (~> 1.7)
+      unicode-display_width (~> 0.3)
+    ruby-openid (2.7.0)
+    ruby-progressbar (1.7.5)
+    sanitize (4.0.1)
+      crass (~> 1.0.2)
       nokogiri (>= 1.4.4)
-    sass (3.2.12)
-    sass-rails (4.0.1)
+      nokogumbo (~> 1.4.1)
+    sass (3.4.21)
+    sass-rails (5.0.4)
       railties (>= 4.0.0, < 5.0)
-      sass (>= 3.1.10)
-      sprockets-rails (~> 2.0.0)
-    sprockets (2.10.1)
-      hike (~> 1.2)
-      multi_json (~> 1.0)
-      rack (~> 1.0)
-      tilt (~> 1.1, != 1.3.0)
-    sprockets-rails (2.0.1)
-      actionpack (>= 3.0)
-      activesupport (>= 3.0)
-      sprockets (~> 2.8)
-    thor (0.18.1)
-    thread_safe (0.1.3)
-      atomic
-    tilt (1.4.1)
-    timecop (0.7.0)
-    treetop (1.4.15)
-      polyglot
-      polyglot (>= 0.3.1)
-    tzinfo (0.3.38)
-    uglifier (2.3.2)
+      sass (~> 3.1)
+      sprockets (>= 2.8, < 4.0)
+      sprockets-rails (>= 2.0, < 4.0)
+      tilt (>= 1.1, < 3)
+    simplecov (0.11.2)
+      docile (~> 1.1.0)
+      json (~> 1.8)
+      simplecov-html (~> 0.10.0)
+    simplecov-html (0.10.0)
+    soap4r-ruby1.9 (2.0.5)
+    sprockets (3.5.2)
+      concurrent-ruby (~> 1.0)
+      rack (> 1, < 3)
+    sprockets-rails (3.0.1)
+      actionpack (>= 4.0)
+      activesupport (>= 4.0)
+      sprockets (>= 3.0.0)
+    term-ansicolor (1.3.2)
+      tins (~> 1.0)
+    therubyracer (0.12.2)
+      libv8 (~> 3.16.14.0)
+      ref
+    thor (0.19.1)
+    thread_safe (0.3.5)
+    tilt (2.0.2)
+    timecop (0.8.0)
+    tins (1.6.0)
+    tzinfo (1.2.2)
+      thread_safe (~> 0.1)
+    uglifier (2.7.2)
       execjs (>= 0.3.0)
       json (>= 1.8.0)
-    validates_email_format_of (1.5.3)
-    vendorer (0.1.14)
+    unf (0.1.4)
+      unf_ext
+    unf_ext (0.0.7.2)
+    unicode-display_width (0.3.1)
+    validates_email_format_of (1.6.3)
+      i18n
+    vendorer (0.1.16)
+    websocket-driver (0.6.3)
+      websocket-extensions (>= 0.1.0)
+    websocket-extensions (0.1.2)
+    xpath (2.0.0)
+      nokogiri (~> 1.3)
 
 PLATFORMS
   ruby
@@ -173,37 +317,50 @@ PLATFORMS
 DEPENDENCIES
   SystemTimer (>= 1.1.3)
   actionpack-page_caching
+  autoprefixer-rails
   bigdecimal (~> 1.1.0)
-  coffee-rails (~> 4.0.0)
-  composite_primary_keys (>= 6.0.1)
+  coffee-rails (~> 4.1.0)
+  composite_primary_keys (~> 8.1.0)
+  coveralls
   dalli
   deadlock_retry (>= 1.2.0)
   dynamic_form
+  faraday
   htmlentities
   http_accept_language (~> 2.0.0)
   httpclient
-  iconv (= 0.1)
+  i18n-js (>= 3.0.0.rc10)
+  image_optim (>= 0.22.0)
   jquery-rails
+  jshint
   json
   jsonify-rails
   kgio
+  konacha
   libxml-ruby (>= 2.0.5)
-  minitest (~> 4.7.0)
+  logstasher
+  minitest (~> 5.1)
   oauth-plugin (>= 0.5.1)
-  open_id_authentication (>= 1.1.0)
-  openstreetmap-i18n-js (>= 3.0.0.rc5.2)
-  paperclip (~> 3.0)
+  omniauth
+  omniauth-facebook
+  omniauth-google-oauth2 (>= 0.2.7)
+  omniauth-openid
+  omniauth-windowslive
+  paperclip (~> 4.0)
   pg
+  poltergeist
   psych
   r2
   rack-cors
-  rails (= 4.0.2)
+  rack-uri_sanitizer
+  rails (= 4.2.5.1)
   rails-i18n (~> 4.0.0)
   redcarpet
   rinku (>= 1.2.2)
-  ruby-openid (>= 2.2.0)
+  rubocop
   sanitize
-  sass-rails (~> 4.0.0)
+  sass-rails (~> 5.0)
+  soap4r-ruby1.9
   timecop
   uglifier (>= 1.3.0)
   validates_email_format_of (>= 1.5.1)